Bug 23732 - [ada] Library_Version still at 4.0 ?
Summary: [ada] Library_Version still at 4.0 ?
Status: RESOLVED FIXED
Alias: None
Product: gcc
Classification: Unclassified
Component: ada (show other bugs)
Version: 4.1.0
: P2 normal
Target Milestone: 4.1.0
Assignee: Arnaud Charlet
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-09-05 13:32 UTC by Debian GCC Maintainers
Modified: 2005-11-15 14:09 UTC (History)
1 user (show)

See Also:
Host:
Target:
Build:
Known to work:
Known to fail:
Last reconfirmed: 2005-09-05 14:45:43


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Debian GCC Maintainers 2005-09-05 13:32:13 UTC
gcc/ada/gnatvsn.ads probably should be updated to 4.1?
Comment 1 Andrew Pinski 2005-09-05 14:45:43 UTC
Confirmed.
Comment 2 Arnaud Charlet 2005-09-07 09:00:45 UTC
I'll take care of it.

Arno
Comment 3 Debian GCC Maintainers 2005-11-15 10:50:07 UTC
(In reply to comment #2)
> I'll take care of it.
> 
> Arno

can this be updated before the branch is created?
Comment 4 charlet@adacore.com 2005-11-15 11:04:05 UTC
Subject: Re:  [ada] Library_Version still at 4.0 ?

> can this be updated before the branch is created?

Will commit the patch later today or tomorrow.

Arno
Comment 5 Pawel Sikora 2005-11-15 11:16:39 UTC
what about soext in gcc41/gcc/ada/Makefile.in?
there is still soext  = .so
is ada abi compatible in gcc 3.3 ... 4.1 ?
Comment 6 charlet@adacore.com 2005-11-15 11:22:34 UTC
Subject: Re:  [ada] Library_Version still at 4.0 ?

> what about soext in gcc41/gcc/ada/Makefile.in?
> there is still soext  = .so
> is ada abi compatible in gcc 3.3 ... 4.1 ?

You seem to be confused: soext is about the extension not about
soname which is already handled by Library_Version.

Arno
Comment 7 Debian GCC Maintainers 2005-11-15 11:42:23 UTC
PR23750 is related
Comment 8 Arnaud Charlet 2005-11-15 13:59:05 UTC
Subject: Bug 23732

Author: charlet
Date: Tue Nov 15 13:59:02 2005
New Revision: 106980

URL: http://gcc.gnu.org/viewcvs?root=gcc&view=rev&rev=106980
Log:
	PR ada/23732
	* gnatvsn.ads (Library_Version): Bump to 4.1

Modified:
    trunk/gcc/ada/gnatvsn.ads

Comment 9 Arnaud Charlet 2005-11-15 14:09:55 UTC
Fixed.